var events_c12a15a8_c380_4b28_8144_256cba95f760 = 
{
	"commonEvent": {
		"加点事件": [
			{
				"type": "comment",
				"text": "通过传参，flag:arg1 表示当前应该的加点数值"
			},
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+${1*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1*flag:arg1"
							}
						]
					},
					{
						"text": "防御+${2*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2*flag:arg1"
							}
						]
					},
					{
						"text": "生命+${200*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "200*flag:arg1"
							}
						]
					}
				]
			}
		],
		"回收钥匙商店": [
			{
				"type": "comment",
				"text": "此事件在全局商店中被引用了(全局商店keyShop)"
			},
			{
				"type": "comment",
				"text": "解除引用前勿删除此事件"
			},
			{
				"type": "comment",
				"text": "玩家在快捷列表（V键）中可以使用本公共事件"
			},
			{
				"type": "while",
				"condition": "1",
				"data": [
					{
						"type": "choices",
						"text": "\t[商人,trader]你有多余的钥匙想要出售吗？",
						"choices": [
							{
								"text": "黄钥匙（10金币）",
								"color": [
									255,
									255,
									0,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:yellowKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:yellowKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "10"
											}
										],
										"false": [
											"\t[商人,trader]你没有黄钥匙！"
										]
									}
								]
							},
							{
								"text": "蓝钥匙（50金币）",
								"color": [
									0,
									0,
									255,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:blueKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:blueKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "50"
											}
										],
										"false": [
											"\t[商人,trader]你没有蓝钥匙！"
										]
									}
								]
							},
							{
								"text": "离开",
								"action": [
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			}
		],
		"游戏说明": [
			{
				"type": "choices",
				"choices": [
					{
						"text": "游戏简介",
						"action": [
							"h5版本是按照flash版复刻，其中部分对话使用的魔塔盛宴的版本。",
							"地图复制：数码宝贝51、641\n部分事件复制：小艾\n默认背景音乐：无；可在切换音乐处设置\n游戏音乐、怪物显伤等开关可以在系统设置里打开和关闭",
							"想要获得更详细的介绍，可以在菜单——游戏信息——游戏主页中进入本塔的评论区，查看置顶评论。",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "游戏结局",
						"action": [
							{
								"type": "if",
								"condition": "flag:addhp",
								"true": [
									"疯狂加血模式下，本塔有且仅有一个专属结局。",
									{
										"type": "insert",
										"name": "游戏说明"
									}
								],
								"false": [
									"本塔共有四个结局。\n在原版魔塔中，使用下楼器和破墙镐（或下楼器和地震卷轴）可以封印魔王，因此，这个版本如保留下楼器和破墙镐（或下楼器和地震卷轴）击败魔王，即可打出True End，否则为Normal End。",
									"不论是Normal End还是True End，都分为穿墙结局和不穿墙结局，如果从未使用对话穿墙，可以打出不穿墙结局。",
									{
										"type": "insert",
										"name": "游戏说明"
									}
								]
							}
						]
					},
					{
						"text": "对话穿墙",
						"action": [
							"在与老人对话后，或购买商人的物品并再次对话后，可以立即清除，或走一步再清除身边的某一堵墙（不必是暗墙）。",
							"这期间不能瞬移、打怪、开门和使用道具，否则穿墙会失败。",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "切换音乐",
						"action": [
							{
								"type": "choices",
								"choices": [
									{
										"text": "精灵石 3个小萝莉在一起",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "1"
											},
											{
												"type": "playBgm",
												"name": "xiaoluoli.mp3"
											}
										]
									},
									{
										"text": "精灵石 晚上家里和镇子",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "2"
											},
											{
												"type": "playBgm",
												"name": "wan.mp3"
											}
										]
									},
									{
										"text": "精灵石 黄昏的镇子",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "3"
											},
											{
												"type": "playBgm",
												"name": "huang.mp3"
											}
										]
									},
									{
										"text": "仙境传说-守候永恒的爱",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "4"
											},
											{
												"type": "playBgm",
												"name": "xian.mp3"
											}
										]
									},
									{
										"text": "精灵石 精灵石传说",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "5"
											},
											{
												"type": "playBgm",
												"name": "chuanshuo.mp3"
											}
										]
									},
									{
										"text": "精灵石 ed【神曲】",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "6"
											},
											{
												"type": "playBgm",
												"name": "ed.mp3"
											}
										]
									},
									{
										"text": "精灵石 幸福之花",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "7"
											},
											{
												"type": "playBgm",
												"name": "hua.mp3"
											}
										]
									},
									{
										"text": "精灵石 迷宫",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "8"
											},
											{
												"type": "playBgm",
												"name": "migong.mp3"
											}
										]
									},
									{
										"text": "离开",
										"action": []
									}
								]
							},
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "返回游戏",
						"action": []
					}
				]
			}
		],
		"对话": [
			{
				"type": "switch",
				"condition": "flag:arg1",
				"caseList": [
					{
						"case": "1",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'臸猭玛巴内含1把黄钥匙和1把蓝钥匙，黄宝石等于红宝石和蓝宝石的总和。'"
							},
							{
								"type": "setValue",
								"name": "flag:对话1",
								"value": "1"
							}
						]
					},
					{
						"case": "2",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 ==10)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'有的门需要消耗多把钥匙才能打开。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话2",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'这塔的布局吵到我的眼睛了。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话202",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "3",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 ==10)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'听说本层没有怪物完全没用。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话3",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'本塔共有20层，每4层为一个区域。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话302",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "4",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'骷髅队长诡计多端，经常派手下埋伏敌人。'"
							},
							{
								"type": "setValue",
								"name": "flag:对话4",
								"value": "1"
							}
						]
					},
					{
						"case": "5",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 ==6)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'这座塔的破墙镐和炸弹的作用范围仅限于面前一格。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话5",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'本层的大乌贼可以被打9次吗？答案是否定的。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话502",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "6",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 == 6)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'吸血鬼对手下过于放纵了，所以本区域有很多怪物无所事事。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话6",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'原版2区路线交叉如同迷宫，所以作者在做改版的时候舍去了一些根本没人走的岔路，以后这种情况还会发生。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话602",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "7",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'守卫机关门的怪物即使玩忽职守，也不敢离自己的岗位太远。'"
							},
							{
								"type": "setValue",
								"name": "flag:对话7",
								"value": "1"
							}
						]
					},
					{
						"case": "9",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 ==7)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'你有没有发现机关门都是由卫兵和首领守卫的，铁门都是由其他怪物守卫的。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话9",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'很可惜，我知道的都已经告诉你了。我现在唯一能做到的就是给你让开路。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话902",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "11",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 ==2)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'骑士队长本人实力一般，强的是在他的号召下的骑士团。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话9",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'幸运金币被藏在0层，所以要在“1层”使用降临之翼去取。你明白了吧。。。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话902",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "12",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 ==8)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'像骰子上5一样的形状是一种封印魔法，你最好记住。它在与区域首领的战斗中可能会用到。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话9",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'圣剑的机关门修好了没有？别说胡话了，圣剑的那地方从来就没有过机关门。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话902",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "13",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'最近魔王从一个商人那里买到了神圣剑和神圣盾。神圣剑被放在了8层的岩浆里，神圣盾被藏在了秘密储藏室。秘密储藏室在14层天花板的上边，15层地板的下边，但是我不知道该怎么去。话说神圣盾能免疫一半的魔法伤害，真是好东西啊，也不知道那个商人从哪搞到的。'"
							},
							{
								"type": "setValue",
								"name": "flag:对话13",
								"value": "1"
							}
						]
					},
					{
						"case": "14",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 ==1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'圣剑和圣盾以前长期处于无看守的状态，直到有一对魔法警卫舍弃夹击分别去守卫它们。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话14",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'为什么史莱姆王叫弟中之弟？因为史是弟。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话1402",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "16",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 ==1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'所有的地火都是由离其最近的高级巫师施法而成的，只要击败对应的高级巫师，地火就会消失。注意，连成一片的地火视为一体，同样适用于上述规则。有意思的是，地火造成的是真实伤害，我不知道巫师们是怎么做到的。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话16",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'地震卷轴的范围：范围为3的领域。也就是，勇士上下左右各数3格（不算勇士这格），然后将这四个格子相连。连线经过的格子以及内部的格子。说可能说不太明白，你可以存档试用完再回档。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话1602",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "20",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'如果你到了这里，那么祝贺你，你的前期是比较成功的。另外，我不是手办。'"
							},
							{
								"type": "setValue",
								"name": "flag:对话20",
								"value": "1"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "if",
				"condition": "flag:arg4",
				"true": [
					"\t[商人,woman]${flag:content}"
				],
				"false": [
					"\t[老人,man]${flag:content}"
				]
			},
			{
				"type": "setValue",
				"name": "flag:talking",
				"value": "0"
			},
			{
				"type": "hide",
				"loc": [
					"core.nextX()",
					"core.nextY()"
				],
				"remove": true,
				"time": 500
			}
		],
		"商人": [
			{
				"type": "switch",
				"condition": "parseInt(core.status.floorId.substring(2))",
				"caseList": [
					{
						"case": "2",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'1把蓝钥匙'"
							}
						]
					},
					{
						"case": "3",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'5把黄钥匙只要50金币，没见过卖这么便宜的！'"
							}
						]
					},
					{
						"case": "5",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "800"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'1把红钥匙只要800金币，你嫌贵我还嫌贵呢。'"
							}
						]
					},
					{
						"case": "6",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'1把蓝钥匙'"
							}
						]
					},
					{
						"case": "9",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "1000"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'我有1个三钥协定和1个臸猭玛巴，你出1000金币我就卖给你。由于骑士剑的远路在大多数路线都是亏的，作者直接把骑士剑改成了一条路。所以我都告诉你了这么多情报，不来支持一下小店的生意？本店多少年没开张了。'"
							}
						]
					},
					{
						"case": "11",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'3把黄钥匙'"
							}
						]
					},
					{
						"case": "12",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "2000"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'2000金币出3个蓝钥匙，并且我可以给你让路。另外，用炸弹炸骑士队长那一帮人会出bug，我如果是你的话不会那么做的。'"
							}
						]
					},
					{
						"case": "14",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "1000"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'2个蓝血瓶'"
							}
						]
					},
					{
						"case": "16",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "4000"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'地震卷轴'"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "choices",
				"text": "\t[商人,woman]${flag:alt ? flag:item : '出'+flag:item+'，你出'+flag:money+'金币就卖给你。'}",
				"choices": [
					{
						"text": "行",
						"action": [
							{
								"type": "if",
								"condition": "(status:money >= flag:money)",
								"true": [
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money"
									},
									{
										"type": "switch",
										"condition": "parseInt(core.status.floorId.substring(2))",
										"caseList": [
											{
												"case": "2",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "3",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "5"
													}
												]
											},
											{
												"case": "5",
												"action": [
													{
														"type": "setValue",
														"name": "item:redKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "6",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "9",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "4"
													},
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "11",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "3"
													}
												]
											},
											{
												"case": "12",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "3"
													}
												]
											},
											{
												"case": "14",
												"action": [
													{
														"type": "playSound",
														"name": "item.mp3"
													},
													{
														"type": "setValue",
														"name": "status:hp",
														"operator": "+=",
														"value": "2000"
													}
												]
											},
											{
												"case": "16",
												"action": [
													{
														"type": "setValue",
														"name": "item:earthquake",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "default",
												"action": []
											}
										]
									},
									{
										"type": "function",
										"function": "function(){\nvar name = core.status.floorId + '@' + core.nextX() + '@' + core.nextY() + '@' + 'A';\ncore.setFlag(name, 1);\n}"
									}
								],
								"false": [
									"\t[商人,woman]你的钱不够。"
								]
							}
						]
					},
					{
						"text": "算了",
						"action": []
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:alt",
				"value": "0"
			}
		],
		"商店": [
			{
				"type": "if",
				"condition": "(flag:times1===0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:times1",
						"value": "1"
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:money1",
				"value": "20+10*flag:times1*(flag:times1-1)"
			},
			{
				"type": "choices",
				"text": "\t[祭坛,blueShop]如果供奉${flag:money1}金币, 便可以增加你的力量, 你想要什么呢…",
				"choices": [
					{
						"text": "生命+${100*flag:times1}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "status:hp",
										"operator": "+=",
										"value": "100*flag:times1"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "攻击+${2*flag:ratio}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "status:atk",
										"operator": "+=",
										"value": "2*flag:ratio"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "防御+${4*flag:ratio}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "status:def",
										"operator": "+=",
										"value": "4*flag:ratio"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "离开",
						"action": []
					}
				]
			}
		],
		"记事本": [
			{
				"type": "if",
				"condition": "(flag:翻页==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:翻页",
						"value": "1"
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:翻页==1)",
				"true": [
					{
						"type": "while",
						"condition": "true",
						"data": [
							{
								"type": "choices",
								"text": "记事本（真有人看？幸亏我做了）",
								"choices": [
									{
										"text": "1层老人",
										"condition": "flag:对话1==1",
										"action": [
											"臸猭玛巴内含1把黄钥匙和1把蓝钥匙，黄宝石等于红宝石和蓝宝石的总和。"
										]
									},
									{
										"text": "1层商人",
										"condition": "flag:对话102==1",
										"action": [
											"本塔没有百分比伤害和随着你的属性的增强而增强的怪物，所以血药和宝石可以随便吃。但是幸运金币是有的，所以怪不能随便清。"
										]
									},
									{
										"text": "2层老人",
										"condition": "flag:对话2==1",
										"action": [
											"有的门需要消耗多把钥匙才能打开。"
										]
									},
									{
										"text": "2层商人",
										"condition": "flag:对话202==1",
										"action": [
											"这塔的布局吵到我的眼睛了。"
										]
									},
									{
										"text": "2层小偷",
										"condition": "flag:对话203==1",
										"action": [
											"这座塔和50层魔塔的结构几乎一样。另外，这塔的楼梯口非常宽阔，难以跨越。"
										]
									},
									{
										"text": "3层老人",
										"condition": "flag:对话3==1",
										"action": [
											"听说本层没有怪物完全没用。"
										]
									},
									{
										"text": "3层商人",
										"condition": "flag:对话302==1",
										"action": [
											"本塔共有20层，每4层为一个区域。"
										]
									},
									{
										"text": "4层老人",
										"condition": "flag:对话4==1",
										"action": [
											"骷髅队长诡计多端，经常派手下埋伏敌人。"
										]
									},
									{
										"text": "下一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "2"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "离开",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "exit"
											}
										]
									}
								]
							}
						]
					}
				],
				"false": []
			},
			{
				"type": "if",
				"condition": "(flag:翻页==2)",
				"true": [
					{
						"type": "while",
						"condition": "true",
						"data": [
							{
								"type": "choices",
								"text": "记事本（只显示对话过的）",
								"choices": [
									{
										"text": "5层老人",
										"condition": "flag:对话5==1",
										"action": [
											"这座塔的破墙镐和炸弹的作用范围仅限于面前一格。"
										]
									},
									{
										"text": "5层商人",
										"condition": "flag:对话502==1",
										"action": [
											"本层的大乌贼可以被打9次吗？答案是否定的"
										]
									},
									{
										"text": "5层小偷",
										"condition": "flag:对话503==1",
										"action": [
											"本座塔好像没有暗墙，这延缓了我的进度。"
										]
									},
									{
										"text": "6层老人",
										"condition": "flag:对话6",
										"action": [
											"吸血鬼对手下过于放纵了，所以本区域有很多怪物无所事事。"
										]
									},
									{
										"text": "6层商人",
										"condition": "flag:对话602==1",
										"action": [
											"'原版2区路线交叉如同迷宫，所以作者在做改版的时候舍去了一些根本没人走的岔路，以后这种情况还会发生。'"
										]
									},
									{
										"text": "7层老人",
										"condition": "flag:对话31==1",
										"action": [
											"守卫机关门和铁门的怪物即使玩忽职守，也不敢离自己的岗位太远。"
										]
									},
									{
										"text": "上一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "下一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "3"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "离开",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "exit"
											}
										]
									}
								]
							}
						]
					}
				],
				"false": []
			},
			{
				"type": "if",
				"condition": "(flag:翻页==3)",
				"true": [
					{
						"type": "while",
						"condition": "true",
						"data": [
							{
								"type": "choices",
								"text": "记事本（只显示对话过的）",
								"choices": [
									{
										"text": "9层老人",
										"condition": "flag:对话9==1",
										"action": [
											"你有没有发现机关门都是由卫兵和首领守卫的，铁门都是由其他怪物守卫的。"
										]
									},
									{
										"text": "9层商人",
										"condition": "flag:对话902==1",
										"action": [
											"由于骑士剑的远路在大多数路线都是亏的，作者直接把骑士剑改成了一条路。"
										]
									},
									{
										"text": "11层老人",
										"condition": "flag:对话11==1",
										"action": [
											"骑士队长本人实力一般，强的是在他的号召下的骑士团。"
										]
									},
									{
										"text": "11层商人",
										"condition": "flag:对话1102==1",
										"action": [
											"幸运金币被藏在0层，所以要在“1层”使用降临之翼去取。你明白了吧。。。"
										]
									},
									{
										"text": "12层老人",
										"condition": "flag:对话12==1",
										"action": [
											"像骰子上5一样的形状是一种封印魔法，你最好记住。它在与区域首领的战斗中可能会用到。"
										]
									},
									{
										"text": "12层商人",
										"condition": "flag:对话1202==1",
										"action": [
											"用炸弹炸骑士队长那一帮人会出bug，我如果是你的话不会那么做的。圣剑的机关门修好了没有？别说胡话了，圣剑的那地方从来就没有过机关门。"
										]
									},
									{
										"text": "上一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "2"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "下一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "4"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "离开",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "exit"
											}
										]
									}
								]
							}
						]
					}
				],
				"false": []
			},
			{
				"type": "if",
				"condition": "(flag:翻页==4)",
				"true": [
					{
						"type": "while",
						"condition": "true",
						"data": [
							{
								"type": "choices",
								"text": "记事本（只显示对话过的）",
								"choices": [
									{
										"text": "13层老人",
										"condition": "flag:对话13==1",
										"action": [
											"最近魔王从一个商人那里买到了神圣剑和神圣盾。神圣剑被放在了8层的岩浆里，神圣盾被藏在了秘密储藏室。秘密储藏室在14层天花板的上边，15层地板的下边，但是我不知道该怎么去。话说神圣盾能免疫一半的魔法伤害，真是好东西啊，也不知道那个商人从哪搞到的。"
										]
									},
									{
										"text": "14层老人",
										"condition": "flag:对话14==1",
										"action": [
											"圣剑和圣盾以前长期处于无看守的状态，直到有一对魔法警卫舍弃夹击分别去守卫它们。"
										]
									},
									{
										"text": "14层商人",
										"condition": "flag:对话1402==1",
										"action": [
											"为什么史莱姆王叫弟中之弟？因为史是弟。"
										]
									},
									{
										"text": "15层老人",
										"condition": "flag:对话15==1",
										"action": [
											"所有的地火都是由离其最近的高级巫师施法而成的，只要击败对应的高级巫师，地火就会消失。注意，连成一片的地火视为一体，同样适用于上述规则。有意思的是，地火造成的是真实伤害，我不知道巫师们是怎么做到的。"
										]
									},
									{
										"text": "15层商人",
										"condition": "flag:对话1502==1",
										"action": [
											"地震卷轴的范围：范围为3的领域。也就是，勇士上下左右各数3格（不算勇士这格），然后将这四个格子相连。连线经过的格子以及内部的格子。说可能说不太明白，你可以存档试用完再回档。"
										]
									},
									{
										"text": "19层老人",
										"condition": "flag:对话19==1",
										"action": [
											"如果你到了这里，那么祝贺你，你的前期是比较成功的。另外，我不是手办。"
										]
									},
									{
										"text": "上一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "3"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "离开",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "exit"
											}
										]
									}
								]
							}
						]
					}
				],
				"false": []
			}
		]
	}
}