main.floors.MT10=
{
    "floorId": "MT10",
    "title": "魔塔 第10层",
    "name": "第 10 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 28, 31,  1,216,214,224,216, 31,225,  1,216,  1],
    [  1,332,  1,216,212,  1,212,224,216,214, 82, 21,  1],
    [  1, 81,227,  1,  1, 31,  1,336,  1,  1,  1,225,  1],
    [  1,  1, 21,216, 81,  0, 81,214,216, 81,  0, 88,  1],
    [  1,224,  1,  1,  1,216,  1, 31, 21,  1,  1,  1,  1],
    [  1,212,336,500,500, 81,  1,  1,  1, 31, 31, 31,  1],
    [  1,227,225,  1,  1, 81,  0,225,  1,123,332,121,  1],
    [  1, 86,  1, 31,  1,212,224, 32,  1,  1, 85,  1,  1],
    [  1,331,  1,225, 81, 81,  1,  1,205,  0,  0,202,  1],
    [  1,331,  1, 21,  1, 82,203,  1,  0,222,  0,  1,  1],
    [  1, 23,  1, 27,  1,  0,  0,222,  0,201,  1, 87,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "11,7": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "choices",
                    "text": "\t[老人,man]谢谢你救了我，我可以帮你提升3％的攻击和防御。",
                    "choices": [
                        {
                            "text": "好好好",
                            "action": [
                                {
                                    "type": "playSound",
                                    "name": "item.mp3"
                                },
                                {
                                    "type": "addValue",
                                    "name": "status:atk",
                                    "value": "Math.round(status:atk*0.03)"
                                },
                                {
                                    "type": "addValue",
                                    "name": "status:def",
                                    "value": "Math.round(status:def*0.03)"
                                },
                                {
                                    "type": "tip",
                                    "text": "攻击和防御提升3％"
                                },
                                {
                                    "type": "setValue",
                                    "name": "flag:talking",
                                    "value": "2"
                                },
                                {
                                    "type": "hide",
                                    "time": 500
                                }
                            ]
                        },
                        {
                            "text": "你先别急",
                            "action": []
                        }
                    ]
                }
            ]
        },
        "9,7": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[杰克,thief]你来的正好，我刚完成逃跑的暗道你就来了。",
                {
                    "type": "openDoor",
                    "loc": [
                        9,
                        8
                    ]
                },
                "\t[杰克,thief]对了，这是我在这座塔里拾到的金币，一共1000，送给你了。我去继续探索了，祝你好运。",
                {
                    "type": "playSound",
                    "name": "item.mp3"
                },
                {
                    "type": "setValue",
                    "name": "status:money",
                    "operator": "+=",
                    "value": "1000"
                },
                {
                    "type": "tip",
                    "text": "获得1000金币"
                },
                {
                    "type": "move",
                    "loc": [
                        9,
                        7
                    ],
                    "time": 200,
                    "keep": true,
                    "steps": [
                        "down:3",
                        "right:1"
                    ]
                },
                {
                    "type": "sleep",
                    "time": 500
                },
                {
                    "type": "openDoor",
                    "loc": [
                        10,
                        11
                    ]
                },
                {
                    "type": "move",
                    "loc": [
                        10,
                        10
                    ],
                    "time": 200,
                    "steps": [
                        "down:1",
                        "right:1"
                    ]
                },
                "\t[hero]那确实是来的正好。"
            ]
        }
    },
    "changeFloor": {
        "11,4": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "11,11": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "afterBattle": {
        "11,9": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_1_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "2,7": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_1_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "1,6": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_1_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "1,5": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_1_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "1,7": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_1_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "6,10": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_1_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "8,9": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_1_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "9,11": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_1_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "9,10": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_10_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "7,11": [
            {
                "type": "setValue",
                "name": "flag:door_MT10_10_8",
                "operator": "+=",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        10,
        11
    ],
    "downFloor": [
        10,
        4
    ],
    "autoEvent": {
        "1,8": {
            "0": {
                "condition": "flag:door_MT10_1_8==8",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT10_1_8",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        },
        "10,8": {
            "0": {
                "condition": "flag:door_MT10_10_8==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT10_10_8",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        }
    },
    "beforeBattle": {},
    "cannotMoveIn": {}
}