main.floors.MT1=
{
    "floorId": "MT1",
    "title": "魔塔 第01层",
    "name": "第 1 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 32,  1, 31,  1, 31,217, 27,  1,201, 21,201,  1],
    [  1, 21,  1,334,217,  1, 81,  1,205,331,  1,201,  1],
    [  1,210, 81,  1, 81,201,  0,  0, 81,  1, 31,  1,  1],
    [  1,  1,209,202, 81,  0,  1, 81,  1,217, 21,  1,  1],
    [  1,131, 82,  0, 87,  0,  1, 81,  1, 81,  1, 31,  1],
    [  1,  1,  1,  1,  1,  1,  1,202,201,121, 81,205,  1],
    [  1, 31, 21, 81,205,217,205,  1, 21,  1,  1,  1,  1],
    [  1,  1, 30,  1,  1,  1, 81,332,334,205, 81,217,  1],
    [  1, 31,  1, 32,205, 81, 45, 46,  1, 81,  1, 21,  1],
    [  1,331,  1,  1,  1, 73,124,  1, 21,209,  1, 28,  1],
    [  1,210, 81,209, 31, 81,  0,129, 31, 27,  1, 31,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "bgm": "section1.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "1,5": [
            {
                "type": "setValue",
                "name": "flag:ratio",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:shopratio",
                "value": "Math.max(core.getFlag('shopratio', 1), core.getFlag('ratio', 1))"
            },
            {
                "type": "insert",
                "name": "商店"
            }
        ],
        "6,10": [
            "\t[商人,woman]你来的正好，我刚刚清理完一些史莱姆，这4金币就送给你了。",
            "\t[hero]谢谢，我拿神圣剑和神圣盾跟你换。",
            {
                "type": "playSound",
                "name": "item.mp3"
            },
            {
                "type": "setValue",
                "name": "status:money",
                "operator": "+=",
                "value": "4"
            },
            {
                "type": "setValue",
                "name": "status:atk",
                "value": "10"
            },
            {
                "type": "setValue",
                "name": "status:def",
                "value": "10"
            },
            {
                "type": "setValue",
                "name": "flag:nowWeapon",
                "value": "null"
            },
            {
                "type": "setValue",
                "name": "flag:nowShield",
                "value": "null"
            },
            "\t[商人,woman]您真客气。作为回报，我告诉你一些重要情报：本塔没有百分比伤害和随着你的属性的增强而增强的怪物，所以血药和宝石可以随便吃。但是幸运金币是有的，所以怪不能随便清。",
            {
                "type": "setValue",
                "name": "flag:对话102",
                "value": "1"
            },
            {
                "type": "hide",
                "time": 500
            }
        ],
        "7,11": [
            "\t[更新记录]2024.6.1 不改动数值的全塔基本完成\n2024.6.2 增加5区难度 削弱炸弹神圣盾 增强假魔王大法师\n作者：Luminource"
        ]
    },
    "changeFloor": {
        "4,5": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        5,
        5
    ],
    "downFloor": [
        6,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}