main.floors.MT12=
{
    "floorId": "MT12",
    "title": "魔塔 第12层",
    "name": "第 12 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,333, 54, 86,225,227,  1,216,225,227,212,  1,  1],
    [  1,189,190,191,212,216, 81, 30, 32,216,  1, 27,  1],
    [  1,192,193,194,224,225,  1,227, 21,122,  1,212,  1],
    [  1,195,257,196,  1,  1,216, 82, 88,  0, 81,216,  1],
    [  1,  1,  0,  1,  0,  0, 83,  0,121,  1,  1, 81,  1],
    [  1,224,  0,  0,  0,  0,  1,224,  0, 31,  0,227,  1],
    [  1,  1,  0,  1,  0,  0,  1, 31,227,  1,  1, 81,  1],
    [  1,  0,225,227,  0,225,  0,  1,  1, 28,224,216,  1],
    [  1,  0,212,  0,  0,212,224,  0,  0,  1,225, 81,  1],
    [  1,  0,  0,224,212,227,  0,227,  1, 50,  1, 21,  1],
    [  1,  0,226,  0,225, 87,  0,  1, 50,336, 82,212,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "5,5": [
            {
                "type": "changePos",
                "direction": "down"
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        5
                    ]
                ],
                "time": 0
            },
            {
                "type": "closeDoor",
                "id": "specialDoor",
                "loc": [
                    6,
                    5
                ]
            },
            {
                "type": "pauseBgm"
            },
            {
                "type": "playBgm",
                "name": "boss4.mp3"
            },
            {
                "type": "setEnemy",
                "id": "ghostSkeleton",
                "name": "special",
                "value": "1"
            },
            {
                "type": "setEnemy",
                "id": "soldier",
                "name": "special",
                "value": "1"
            },
            {
                "type": "setEnemy",
                "id": "swordsman",
                "name": "special",
                "value": "1"
            },
            {
                "type": "setEnemy",
                "id": "redKnight",
                "name": "special",
                "value": "1"
            },
            "\t[骑士队长,yellowKnight]我还在担心你不能来了。我确信这次我一定能杀了你。鬼战士给我上！",
            {
                "type": "move",
                "loc": [
                    4,
                    10
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:1"
                ]
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        3,
                        10
                    ]
                ],
                "name": "hp",
                "value": "10"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        3,
                        10
                    ]
                ],
                "name": "atk",
                "value": "68"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        3,
                        10
                    ]
                ],
                "name": "def",
                "value": "5"
            },
            {
                "type": "sleep",
                "time": 100
            },
            "\t[双手剑士,swordsman]完了，我被封印了，功力只剩一成。",
            {
                "type": "move",
                "loc": [
                    4,
                    9
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:4",
                    "right:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    5,
                    9
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "left:1"
                ]
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        6,
                        9
                    ]
                ],
                "name": "hp",
                "value": "10"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        6,
                        9
                    ]
                ],
                "name": "atk",
                "value": "68"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        6,
                        9
                    ]
                ],
                "name": "def",
                "value": "5"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        9
                    ]
                ],
                "name": "hp",
                "value": "22"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        9
                    ]
                ],
                "name": "atk",
                "value": "18"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        9
                    ]
                ],
                "name": "def",
                "value": "3"
            },
            {
                "type": "sleep",
                "time": 100
            },
            "\t[鬼战士,ghostSkeleton]完了，我被封印了，功力只剩一成。",
            "\t[双手剑士,swordsman]完了，我也被封印了，功力也只剩一成。",
            {
                "type": "move",
                "loc": [
                    4,
                    9
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:4",
                    "right:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    2,
                    9
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "right:2"
                ]
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        9
                    ]
                ],
                "name": "hp",
                "value": "22"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        9
                    ]
                ],
                "name": "atk",
                "value": "18"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        9
                    ]
                ],
                "name": "def",
                "value": "3"
            },
            {
                "type": "sleep",
                "time": 100
            },
            "\t[鬼战士,ghostSkeleton]完了，我被封印了，功力只剩一成。",
            {
                "type": "move",
                "loc": [
                    4,
                    9
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:4",
                    "right:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            "\t[骑士队长,yellowKnight]鬼战士只是先头部队，十字架战士们给我上！",
            {
                "type": "move",
                "loc": [
                    4,
                    11
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:2"
                ]
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        9
                    ]
                ],
                "name": "hp",
                "value": "21"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        9
                    ]
                ],
                "name": "atk",
                "value": "20"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        9
                    ]
                ],
                "name": "def",
                "value": "7"
            },
            {
                "type": "sleep",
                "time": 100
            },
            "\t[十字架战士,soldier]完了，我被封印了，功力只剩一成。",
            {
                "type": "move",
                "loc": [
                    4,
                    9
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:4",
                    "right:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    5,
                    8
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:3"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    2,
                    8
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "down:1",
                    "right:3",
                    "up:4"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            "\t[骑士队长,yellowKnight]什么？但没关系，接下来才是主力。双手剑士们给我把他砍碎！",
            {
                "type": "move",
                "loc": [
                    6,
                    9
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "left:1",
                    "up:4"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    3,
                    10
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "right:1",
                    "up:5",
                    "right:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    1,
                    6
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "right:1"
                ]
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        2,
                        6
                    ]
                ],
                "name": "hp",
                "value": "10"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        2,
                        6
                    ]
                ],
                "name": "atk",
                "value": "68"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        2,
                        6
                    ]
                ],
                "name": "def",
                "value": "5"
            },
            {
                "type": "sleep",
                "time": 100
            },
            {
                "type": "text",
                "text": "\t[双手剑士,swordsman]完了，我被封印了，功力只剩一成。",
                "pos": [
                    20,
                    10
                ]
            },
            {
                "type": "move",
                "loc": [
                    2,
                    6
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "right:3",
                    "up:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            "\t[骑士队长,yellowKnight]你竟然还在安然无恙地站着！我要亲自上阵！骑士们，随我冲锋！",
            {
                "type": "move",
                "loc": [
                    2,
                    11
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "right:2",
                    "up:2"
                ]
            },
            {
                "type": "move",
                "loc": [
                    7,
                    10
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "up:1",
                    "left:1",
                    "up:1"
                ]
            },
            {
                "type": "move",
                "loc": [
                    4,
                    9
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "right:1",
                    "up:2"
                ]
            },
            {
                "type": "move",
                "loc": [
                    3,
                    8
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "right:1",
                    "up:2"
                ]
            },
            {
                "type": "move",
                "loc": [
                    5,
                    10
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "left:1",
                    "up:2"
                ]
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        6
                    ]
                ],
                "name": "hp",
                "value": "16"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        6
                    ]
                ],
                "name": "atk",
                "value": "23"
            },
            {
                "type": "setEnemyOnPoint",
                "loc": [
                    [
                        4,
                        6
                    ]
                ],
                "name": "def",
                "value": "11"
            },
            {
                "type": "sleep",
                "time": 100
            },
            {
                "type": "text",
                "text": "\t[骑士,redKnight]完了，我被封印了，功力只剩一成。",
                "pos": [
                    20,
                    10
                ]
            },
            {
                "type": "move",
                "loc": [
                    4,
                    6
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "up:1"
                ]
            },
            {
                "type": "move",
                "loc": [
                    4,
                    8
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "up:2"
                ]
            },
            {
                "type": "move",
                "loc": [
                    5,
                    7
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "up:2"
                ]
            },
            {
                "type": "move",
                "loc": [
                    6,
                    8
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "left:1",
                    "up:1"
                ]
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            "\t[骑士队长,yellowKnight]完了。",
            {
                "type": "move",
                "loc": [
                    4,
                    5
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "right:1"
                ]
            },
            {
                "type": "move",
                "loc": [
                    4,
                    6
                ],
                "time": 200,
                "keep": true,
                "async": true,
                "steps": [
                    "up:1"
                ]
            },
            {
                "type": "move",
                "loc": [
                    5,
                    7
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:1"
                ]
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    5,
                    6
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "move",
                "loc": [
                    4,
                    5
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "right:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    5
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "setEnemy",
                "id": "ghostSkeleton",
                "name": "special",
                "value": "0"
            },
            {
                "type": "setEnemy",
                "id": "soldier",
                "name": "special",
                "value": "0"
            },
            {
                "type": "setEnemy",
                "id": "swordsman",
                "name": "special",
                "value": "0"
            },
            {
                "type": "setEnemy",
                "id": "redKnight",
                "name": "special",
                "value": "0"
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    5
                ]
            },
            {
                "type": "setBlock",
                "number": "threeyellowKeys",
                "loc": [
                    [
                        4,
                        9
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "oldGem",
                "loc": [
                    [
                        3,
                        9
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        1,
                        9
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        1,
                        10
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        1,
                        11
                    ]
                ]
            },
            {
                "type": "show",
                "loc": [
                    [
                        5,
                        11
                    ]
                ]
            },
            {
                "type": "hide",
                "time": 0
            }
        ],
        "5,11": {
            "trigger": null,
            "enable": false,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": []
        },
        "5,8": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[十字架战士,soldier]请走正门。"
            ]
        },
        "2,8": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[十字架战士,soldier]请走正门。"
            ]
        },
        "4,11": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[十字架战士,soldier]请走正门。"
            ]
        },
        "2,9": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[鬼战士,ghostSkeleton]请走正门。"
            ]
        },
        "5,9": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[鬼战士,ghostSkeleton]请走正门。"
            ]
        },
        "4,10": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[鬼战士,ghostSkeleton]请走正门。"
            ]
        },
        "1,6": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[双手剑士,swordsman]请走正门。"
            ]
        },
        "6,9": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[双手剑士,swordsman]请走正门。"
            ]
        },
        "3,10": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[双手剑士,swordsman]请走正门。"
            ]
        },
        "3,8": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[骑士,redKnight]请走正门。"
            ]
        },
        "5,10": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[骑士,redKnight]请走正门。"
            ]
        },
        "7,10": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[骑士,redKnight]请走正门。"
            ]
        },
        "2,11": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[骑士队长,yellowKnight]请走正门。"
            ]
        }
    },
    "changeFloor": {
        "8,4": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "5,11": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "afterBattle": {
        "2,4": [
            {
                "type": "openDoor",
                "loc": [
                    3,
                    1
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "downFloor": [
        9,
        4
    ],
    "upFloor": [
        6,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}