main.floors.MT3=
{
    "floorId": "MT3",
    "title": "魔塔 第03层",
    "name": "第 3 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,205,  0,  0,  0,209,  0,  0,  0, 85, 23, 31,  1],
    [  1, 81,  1,  1, 81,  1,205,  1, 81,  1,331, 32,  1],
    [  1,201,  1,201,202,  1,  0,  1,209,210,  1,  1,  1],
    [  1,205,  1,202,  1,332,  0,  1,  1, 81,334, 31,  1],
    [  1, 82,  1, 31, 81,  1, 81,  1,  1,  1,  1,  1,  1],
    [  1,331,  1,  1,  0, 81, 81,  0,247,  0,  0, 87,  1],
    [  1, 30,  1,336, 81,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  1,  1,201, 86,  1,331,  1, 31,  1,202,122,  1],
    [  1, 31,  1,202, 86,  1,205, 86,331,  1, 82,210,  1],
    [  1, 27,  1,201,  0,  1, 81,210,209,210,  0, 81,  1],
    [  1,205, 81,  0,  0,217,  0,  0,  0,  0,  0, 88,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "bgm": "section1.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "7,6": [
            {
                "type": "playSound",
                "name": "3F.mp3"
            },
            {
                "type": "openDoor",
                "loc": [
                    9,
                    7
                ]
            },
            {
                "type": "setBlock",
                "number": "redKing",
                "loc": [
                    [
                        9,
                        7
                    ]
                ],
                "time": 100
            },
            {
                "type": "move",
                "loc": [
                    9,
                    7
                ],
                "time": 500,
                "keep": true,
                "steps": [
                    "up:1"
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            {
                "type": "setEnemy",
                "id": "skeletonCaptain",
                "name": "def",
                "value": "600"
            },
            {
                "type": "setEnemy",
                "id": "vampire",
                "name": "def",
                "value": "700"
            },
            {
                "type": "setEnemy",
                "id": "yellowKnight",
                "name": "def",
                "value": "800"
            },
            {
                "type": "setEnemy",
                "id": "blackMagician",
                "name": "def",
                "value": "900"
            },
            "\t[魔王,redKing]欢迎来到魔塔，你是第100位挑战者。你若能打败我所有的手下，我就与你一对一的决斗。现在你必须接受我的安排。",
            {
                "type": "show",
                "loc": [
                    [
                        8,
                        6
                    ]
                ],
                "time": 500,
                "async": true
            },
            {
                "type": "setBlock",
                "number": "yellowKnight",
                "loc": [
                    [
                        10,
                        11
                    ]
                ]
            },
            {
                "type": "move",
                "loc": [
                    10,
                    11
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "left:6",
                    "up:5",
                    "right:2"
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    7,
                    5
                ]
            },
            {
                "type": "setBlock",
                "number": "skeletonCaptain",
                "loc": [
                    [
                        7,
                        5
                    ]
                ],
                "time": 100,
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    7,
                    7
                ]
            },
            {
                "type": "setBlock",
                "number": "vampire",
                "loc": [
                    [
                        7,
                        7
                    ]
                ],
                "time": 100
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "sleep",
                "time": 200
            },
            "\t[hero]啊？",
            {
                "type": "playSound",
                "name": "zone.mp3",
                "stop": true
            },
            {
                "type": "sleep",
                "time": 300
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "sleep",
                "time": 150
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "sleep",
                "time": 300
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "sleep",
                "time": 150
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "sleep",
                "time": 2000
            },
            "\t[骑士队长,yellowKnight]你以为你要完蛋了吗？嘿嘿错了。",
            "\t[穞堵臸猭畍,blackMagician]确实。",
            "\t[魔王,redKing]本魔塔热情好客。只要你有实力，塔里的东西随便拿。",
            "\t[hero]。。。",
            {
                "type": "move",
                "loc": [
                    9,
                    6
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "down:1"
                ]
            },
            {
                "type": "hide",
                "loc": [
                    [
                        7,
                        5
                    ],
                    [
                        7,
                        7
                    ],
                    [
                        8,
                        6
                    ]
                ],
                "remove": true,
                "time": 500,
                "async": true
            },
            {
                "type": "move",
                "loc": [
                    6,
                    6
                ],
                "time": 100,
                "steps": [
                    "left:2",
                    "down:5",
                    "right:7"
                ]
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "setEnemy",
                "id": "skeletonCaptain",
                "name": "def",
                "value": "15"
            },
            {
                "type": "setEnemy",
                "id": "vampire",
                "name": "def",
                "value": "66"
            },
            {
                "type": "setEnemy",
                "id": "yellowKnight",
                "name": "def",
                "value": "50"
            },
            {
                "type": "setEnemy",
                "id": "blackMagician",
                "name": "def",
                "value": "310"
            },
            {
                "type": "hide",
                "time": 0
            }
        ],
        "8,6": {
            "trigger": null,
            "enable": false,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": []
        },
        "9,7": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": false,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[魔王,redKing]我看好你。"
            ]
        }
    },
    "changeFloor": {
        "11,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        },
        "11,6": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "afterBattle": {
        "9,10": [
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        6,
                        11
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "yellowKey",
                "loc": [
                    [
                        7,
                        11
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "yellowKey",
                "loc": [
                    [
                        8,
                        11
                    ]
                ]
            }
        ],
        "7,10": [
            {
                "type": "openDoor",
                "loc": [
                    4,
                    8
                ],
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    4,
                    9
                ]
            },
            {
                "type": "waitAsync"
            }
        ],
        "5,11": [
            {
                "type": "setBlock",
                "number": "bluePriest",
                "loc": [
                    [
                        6,
                        3
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "bluePriest",
                "loc": [
                    [
                        7,
                        1
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "man",
                "loc": [
                    [
                        10,
                        11
                    ]
                ]
            },
            {
                "type": "playSound",
                "name": "bomb.mp3"
            }
        ],
        "2,2": [
            {
                "type": "openDoor",
                "loc": [
                    9,
                    1
                ],
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    5,
                    7
                ]
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "setBlock",
                "number": "slimeMan",
                "loc": [
                    [
                        8,
                        5
                    ]
                ],
                "time": 100
            },
            {
                "type": "closeDoor",
                "id": "yellowDoor",
                "loc": [
                    9,
                    1
                ]
            }
        ],
        "7,1": [
            {
                "type": "openDoor",
                "loc": [
                    5,
                    7
                ]
            },
            {
                "type": "setBlock",
                "number": "yellowGuard",
                "loc": [
                    [
                        5,
                        7
                    ]
                ],
                "time": 100
            }
        ],
        "8,5": [
            {
                "type": "openDoor",
                "loc": [
                    2,
                    8
                ]
            },
            {
                "type": "setBlock",
                "number": "superPotion",
                "loc": [
                    [
                        2,
                        8
                    ]
                ],
                "time": 100
            }
        ],
        "5,7": [
            {
                "type": "openDoor",
                "loc": [
                    2,
                    2
                ]
            },
            {
                "type": "setBlock",
                "number": "yellowGuard",
                "loc": [
                    [
                        2,
                        2
                    ]
                ],
                "time": 100
            }
        ]
    },
    "afterGetItem": {
        "2,8": [
            {
                "type": "move",
                "loc": [
                    9,
                    7
                ],
                "time": 200,
                "steps": [
                    "up:1",
                    "right:2"
                ]
            },
            {
                "type": "hide",
                "loc": [
                    [
                        9,
                        7
                    ]
                ],
                "time": 0
            }
        ]
    },
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        10,
        6
    ],
    "downFloor": [
        10,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}