main.floors.MT9=
{
    "floorId": "MT9",
    "title": "魔塔 第09层",
    "name": "第 9 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  1,212,212, 32, 81,  1, 30, 81,225, 21,216,  1],
    [  1,225,225,  1,  1,  0,  0, 82,  1,  1,  1, 81,  1],
    [  1, 39,  1, 32,331,  1,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1, 22,  1, 81,  1,  0,  0,  0,  0,222,226,  1],
    [  1,212,227, 81,  0,  1,  0,121,  1,222, 85,  1,  1],
    [  1,  1,331,  1,212, 81,  0,212,131,  1,334,332,  1],
    [  1,331,  1, 22,  1,  0,214,  0,  1, 32,  1,  1,  1],
    [  1,331,224, 81,  1,  1,214,  1,  1, 81,  1,331,  1],
    [  1,225,  0, 81,  0,212,  0,212,  0, 81,216,331,  1],
    [  1,  1,  1,122, 81,  1,  0,122, 81,  1,  1,  1,  1],
    [  1, 28, 81,227,212, 31, 88, 31,212,225, 81, 27,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "7,10": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "choices",
                    "text": "\t[全塔唯一收购黄钥匙的商人,woman]无限收黄钥匙，100金币1把！",
                    "choices": [
                        {
                            "text": "直接来吧",
                            "action": [
                                {
                                    "type": "if",
                                    "condition": "(item:yellowKey>0)",
                                    "true": [
                                        {
                                            "type": "playSound",
                                            "name": "item.mp3"
                                        },
                                        {
                                            "type": "addValue",
                                            "name": "item:yellowKey",
                                            "value": "-1"
                                        },
                                        {
                                            "type": "addValue",
                                            "name": "status:money",
                                            "value": "100"
                                        },
                                        {
                                            "type": "insert",
                                            "loc": [
                                                7,
                                                10
                                            ]
                                        }
                                    ],
                                    "false": [
                                        {
                                            "type": "tip",
                                            "text": "你黄钥匙呢？"
                                        },
                                        {
                                            "type": "insert",
                                            "loc": [
                                                7,
                                                10
                                            ]
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "text": "我不打扰",
                            "action": [
                                {
                                    "type": "exit"
                                }
                            ]
                        }
                    ]
                }
            ]
        },
        "8,6": [
            {
                "type": "setValue",
                "name": "flag:ratio",
                "value": "4"
            },
            {
                "type": "setValue",
                "name": "flag:shopratio",
                "value": "Math.max(core.getFlag('shopratio', 1), core.getFlag('ratio', 1))"
            },
            {
                "type": "insert",
                "name": "商店"
            }
        ],
        "11,4": {
            "trigger": null,
            "enable": false,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": []
        }
    },
    "changeFloor": {
        "6,11": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "11,4": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "afterBattle": {
        "10,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT9_3_5",
                "operator": "+=",
                "value": "1"
            }
        ],
        "9,5": [
            {
                "type": "setValue",
                "name": "flag:door_MT9_3_5",
                "operator": "+=",
                "value": "1"
            }
        ],
        "6,7": [
            {
                "type": "show",
                "loc": [
                    [
                        11,
                        4
                    ]
                ],
                "time": 500
            },
            {
                "type": "move",
                "loc": [
                    11,
                    4
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "up:1",
                    "left:5",
                    "up:1",
                    "left:1"
                ]
            },
            {
                "type": "sleep",
                "time": 500
            },
            {
                "type": "setBlock",
                "number": "upFloor",
                "loc": [
                    [
                        11,
                        4
                    ]
                ]
            },
            "\t[骑士队长,yellowKnight]嗯。",
            {
                "type": "move",
                "loc": [
                    5,
                    2
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "right:1",
                    "down:2",
                    "right:3"
                ]
            },
            {
                "type": "sleep",
                "time": 500
            },
            "\t[骑士队长,yellowKnight]不错。",
            {
                "type": "move",
                "loc": [
                    9,
                    4
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "left:3",
                    "down:2"
                ]
            },
            {
                "type": "sleep",
                "time": 500
            },
            "\t[骑士队长,yellowKnight]你是？",
            {
                "type": "closeDoor",
                "id": "specialDoor",
                "loc": [
                    5,
                    7
                ],
                "async": true
            },
            {
                "type": "closeDoor",
                "id": "specialDoor",
                "loc": [
                    7,
                    7
                ],
                "async": true
            },
            {
                "type": "closeDoor",
                "id": "specialDoor",
                "loc": [
                    6,
                    9
                ]
            },
            {
                "type": "waitAsync"
            },
            "\t[骑士队长,yellowKnight]你打败了骷髅队长和吸血鬼并闯入我的区域，这表明你是个勇士。但现在游戏结束了，我将在这里亲手拦住你。"
        ],
        "6,6": [
            {
                "type": "setBlock",
                "number": "yellowKnight",
                "loc": [
                    [
                        6,
                        6
                    ]
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    5,
                    7
                ],
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    7,
                    7
                ],
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    9
                ],
                "async": true
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "move",
                "loc": [
                    6,
                    6
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "up:3"
                ]
            },
            "\t[骑士队长,yellowKnight]你以为你已非常强大了吗？嘿嘿错了。只是我今天单独巡视没有带人而已。我走了，有本事到12楼与我们打一次。",
            {
                "type": "move",
                "loc": [
                    6,
                    3
                ],
                "time": 100,
                "steps": [
                    "right:5",
                    "down:1"
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            "\t[hero]幽默骑士队长。"
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 87, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        11,
        3
    ],
    "downFloor": [
        6,
        10
    ],
    "autoEvent": {
        "10,5": {
            "0": {
                "condition": "flag:door_MT9_3_5==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT9_3_5",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            },
            "1": null
        }
    },
    "beforeBattle": {},
    "cannotMoveIn": {},
    "underGround": false
}